<?php

namespace App\Enum\Communication;

enum CommunicationChannel: string
{
    case Voice = 'voice';
    case Sms = 'sms';
    case Whatsapp = 'whatsapp';
    case Email = 'email';

    public function label(): string
    {
        return match ($this) {
            self::Voice => 'Voice Call',
            self::Sms => 'SMS',
            self::Whatsapp => 'WhatsApp',
            self::Email => 'Email',
        };
    }
}